Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Any_Impl_T< T > Class Template Reference

Template Any class for pointer types. More...

`#include <Any_Impl_T.h>`

Inheritance diagram for TAO::Any_Impl_T< T >:

[legend]
Collaboration diagram for TAO::Any_Impl_T< T >:

[legend]
List of all members.

## Public Methods
| Any_Impl_T (_tao_destructor destructor, CORBA::TypeCode_ptr, T *const)
virtual | ~Any_Impl_T (void)
virtual CORBA::Boolean | to_object (CORBA::Object_ptr &) const
virtual CORBA::Boolean | to_value (CORBA::ValueBase *&) const
virtual CORBA::Boolean | to_abstract_base (CORBA::AbstractBase_ptr &) const
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)
CORBA::Boolean | demarshal_value (TAO_InputCDR &)
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual const void * | value (void) const
virtual void | free_value (void)
## Static Public Methods
void | insert (CORBA::Any &, _tao_destructor destructor, CORBA::TypeCode_ptr, T *const)
CORBA::Boolean | extract (const CORBA::Any &, _tao_destructor, CORBA::TypeCode_ptr, T *&)
## Private Attributes
T * | value_

## Detailed Description

### template<typename T>
class TAO::Any_Impl_T< T >

Template Any class for pointer types.

Used for interfaces and typecodes

## Constructor & Destructor Documentation

template<typename T>
TAO::Any_Impl_T< T >::Any_Impl_T | ( | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | T * | const
| ) |

template<typename T>
TAO::Any_Impl_T< T >::~Any_Impl_T | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename T>
virtual void TAO::Any_Impl_T< T >::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T>
ACE_TEMPLATE_SPECIALIZATION CORBA::Boolean TAO::Any_Impl_T< T >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<typename T>
CORBA::Boolean TAO::Any_Impl_T< T >::extract | ( | const CORBA::Any & | ,
|  | _tao_destructor | ,
|  | CORBA::TypeCode_ptr | ,
|  | T *& |
| ) | `[static]`

template<typename T>
void TAO::Any_Impl_T< T >::free_value | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T>
void TAO::Any_Impl_T< T >::insert | ( | CORBA::Any & | ,
|  | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | T * | const
| ) | `[static]`

template<typename T>
ACE_TEMPLATE_SPECIALIZATION CORBA::Boolean TAO::Any_Impl_T< T >::marshal_value | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Implements TAO::Any_Impl.

template<typename T>
ACE_INLINE CORBA::Boolean TAO::Any_Impl_T< T >::to_abstract_base | ( | CORBA::AbstractBase_ptr & |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T>
ACE_TEMPLATE_SPECIALIZATION CORBA::Boolean TAO::Any_Impl_T< T >::to_object | ( | CORBA::Object_ptr & |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T>
ACE_INLINE CORBA::Boolean TAO::Any_Impl_T< T >::to_value | ( | CORBA::ValueBase *& |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T>
ACE_INLINE const void * TAO::Any_Impl_T< T >::value | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

## Member Data Documentation

template<typename T>
T* TAO::Any_Impl_T< T >::value_`[private]`

The documentation for this class was generated from the following files:

- Any_Impl_T.h
- Any_Impl_T.cpp
- Any_Impl_T.inl
- CurrentA.cpp
- DomainA.cpp
- IOP_CodecA.cpp
- PolicyA.cpp
- PortableInterceptorA.cpp
- TAOA.cpp